Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.transport
Interface Transport

All Known Implementing Classes:
  TransportBase

public interface Transport

Interface for a SOAP transport to be used by UDDI4J. org.uddi4j.logEnabled If set, indicates that transport should log message sent and received. These values may also be specified in a property file TBD.

Author:
  David Melgar (dmelgar@us.ibm.com)

Method Summary
`org.w3c.dom.Element` | `send(org.w3c.dom.Element el, java.net.URL url)` Sends a DOM Element to URL.
`org.w3c.dom.Element` | `send(UDDIElement el, java.net.URL url)` Sends a UDDIElement to URL.

Method Detail

### send

    public org.w3c.dom.Element send(UDDIElement el,
                                    java.net.URL url)
                             throws TransportException

  Sends a UDDIElement to URL.

  Parameters:
    `el` - UDDIElement to send
    `url` - Destination URL
  Returns:
    An element representing a XML DOM tree containing the UDDI response.
  Throws:
    `TransportException` - Thrown if a problem occurs during transmission

### send

    public org.w3c.dom.Element send(org.w3c.dom.Element el,
                                    java.net.URL url)
                             throws TransportException

  Sends a DOM Element to URL.

  Parameters:
    `el` - UDDIElement to send
    `url` - Destination URL
  Returns:
    An element representing a XML DOM tree containing the UDDI response.
  Throws:
    `TransportException` - Thrown if a problem occurs during transmission

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.